Bug 215639 - [NEW PORT] editors/encryptpad: Minimalist secure text editor and binary encryptor
Summary: [NEW PORT] editors/encryptpad: Minimalist secure text editor and binary encry...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-28 18:56 UTC by Dmitri Goutnik
Modified: 2017-03-19 09:24 UTC (History)
1 user (show)

See Also:


Attachments
shar file (3.56 KB, text/plain)
2016-12-28 18:56 UTC, Dmitri Goutnik
no flags Details
encryptpad-0.3.2.4.shar (3.55 KB, text/plain)
2017-01-10 22:40 UTC, Dmitri Goutnik
no flags Details
shar file (3.55 KB, text/plain)
2017-01-16 01:06 UTC, Dmitri Goutnik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2016-12-28 18:56:14 UTC
Created attachment 178361 [details]
shar file

EncryptPad is an application for viewing and editing symmetrically encrypted text. Using a simple and convenient graphical and command line interface, EncryptPad provides a tool for encrypting and decrypting binary files on disk while offering effective measures for protecting information, and it uses the most widely chosen quality file format OpenPGP RFC 4880. Unlike other OpenPGP software which main purpose is asymmetric encryption, the primary focus of EncryptPad is symmetric encryption. [1]

portlint -ACN: OK

poudriere testport: OK on
  - 11.0-RELEASE-p6 amd64/i386
  - 10.3-RELEASE-p15 amd64/i386

--
[1] http://evpo.net/encryptpad/
Comment 1 Dmitri Goutnik freebsd_committer 2017-01-10 22:40:27 UTC
Created attachment 178733 [details]
encryptpad-0.3.2.4.shar

- updated to 0.3.2.4
- updated WWW link in pkg-descr
Comment 2 Dmitri Goutnik freebsd_committer 2017-01-16 01:06:52 UTC
Created attachment 178939 [details]
shar file

- updated to 0.3.2.5

portlint -ACN: OK
poudriere testport on 11a, 11i: OK
Comment 3 commit-hook freebsd_committer 2017-03-19 09:21:54 UTC
A commit references this bug:

Author: danfe
Date: Sun Mar 19 09:21:01 UTC 2017
New revision: 436480
URL: https://svnweb.freebsd.org/changeset/ports/436480

Log:
  Add new port `editors/encryptpad', a minimalist secure text editor and
  binary encryptor.

  WWW: http://evpo.net/encryptpad/

  Because GitHub releases (tarballs) are not fetched with correct modification
  time, set TIMESTAMP to 1484432907 which corresponds to commit c9e6636 tagged
  as this release.

  PR:		215639
  Submitted by:	Dmitri Goutnik

Changes:
  head/editors/Makefile
  head/editors/encryptpad/
  head/editors/encryptpad/Makefile
  head/editors/encryptpad/distinfo
  head/editors/encryptpad/pkg-descr
  head/editors/encryptpad/pkg-plist
Comment 4 Alexey Dokuchaev freebsd_committer 2017-03-19 09:24:22 UTC
Committed (with modifications) as ports r436480, thank you!